org.keycloak.keys

## Interface Attributes

-     public interface Attributes

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTIVE_KEY`
    `static ProviderConfigProperty` | `ACTIVE_PROPERTY`
    `static String` | `ALGORITHM_KEY`
    `static String` | `CERTIFICATE_KEY`
    `static ProviderConfigProperty` | `CERTIFICATE_PROPERTY`
    `static String` | `ENABLED_KEY`
    `static ProviderConfigProperty` | `ENABLED_PROPERTY`
    `static ProviderConfigProperty` | `HS_ALGORITHM_PROPERTY`
    `static String` | `KEY_SIZE_KEY`
    `static ProviderConfigProperty` | `KEY_SIZE_PROPERTY`
    `static String` | `KEY_USE`
    `static ProviderConfigProperty` | `KEY_USE_PROPERTY`
    `static String` | `KID_KEY`
    `static String` | `PRIORITY_KEY`
    `static ProviderConfigProperty` | `PRIORITY_PROPERTY`
    `static String` | `PRIVATE_KEY_KEY`
    `static ProviderConfigProperty` | `PRIVATE_KEY_PROPERTY`
    `static ProviderConfigProperty` | `RS_ALGORITHM_PROPERTY`
    `static String` | `SECRET_KEY`
    `static String` | `SECRET_SIZE_KEY`
    `static ProviderConfigProperty` | `SECRET_SIZE_PROPERTY`

- - ### Field Detail

    - #### PRIORITY_KEY

          static final String PRIORITY_KEY

      See Also:
        Constant Field Values

    - #### PRIORITY_PROPERTY

          static final ProviderConfigProperty PRIORITY_PROPERTY

    - #### ENABLED_KEY

          static final String ENABLED_KEY

      See Also:
        Constant Field Values

    - #### ENABLED_PROPERTY

          static final ProviderConfigProperty ENABLED_PROPERTY

    - #### ACTIVE_KEY

          static final String ACTIVE_KEY

      See Also:
        Constant Field Values

    - #### ACTIVE_PROPERTY

          static final ProviderConfigProperty ACTIVE_PROPERTY

    - #### PRIVATE_KEY_KEY

          static final String PRIVATE_KEY_KEY

      See Also:
        Constant Field Values

    - #### PRIVATE_KEY_PROPERTY

          static final ProviderConfigProperty PRIVATE_KEY_PROPERTY

    - #### CERTIFICATE_KEY

          static final String CERTIFICATE_KEY

      See Also:
        Constant Field Values

    - #### CERTIFICATE_PROPERTY

          static final ProviderConfigProperty CERTIFICATE_PROPERTY

    - #### KEY_SIZE_KEY

          static final String KEY_SIZE_KEY

      See Also:
        Constant Field Values

    - #### KEY_SIZE_PROPERTY

          static final ProviderConfigProperty KEY_SIZE_PROPERTY

    - #### KEY_USE

          static final String KEY_USE

      See Also:
        Constant Field Values

    - #### KEY_USE_PROPERTY

          static final ProviderConfigProperty KEY_USE_PROPERTY

    - #### KID_KEY

          static final String KID_KEY

      See Also:
        Constant Field Values

    - #### SECRET_KEY

          static final String SECRET_KEY

      See Also:
        Constant Field Values

    - #### SECRET_SIZE_KEY

          static final String SECRET_SIZE_KEY

      See Also:
        Constant Field Values

    - #### SECRET_SIZE_PROPERTY

          static final ProviderConfigProperty SECRET_SIZE_PROPERTY

    - #### ALGORITHM_KEY

          static final String ALGORITHM_KEY

      See Also:
        Constant Field Values

    - #### RS_ALGORITHM_PROPERTY

          static final ProviderConfigProperty RS_ALGORITHM_PROPERTY

    - #### HS_ALGORITHM_PROPERTY

          static final ProviderConfigProperty HS_ALGORITHM_PROPERTY

Copyright © 2021 JBoss by Red Hat. All rights reserved.